<?php
/**
 * Template part with actual header.
 *
 * @package The7
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?><!DOCTYPE html>
<!--[if lt IE 10 ]>
<html <?php language_attributes(); ?> class="old-ie no-js">
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?> class="no-js">
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ) ?>" />
	<?php if ( presscore_responsive() ) : ?>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0">
	<?php endif ?>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ) ?>" />
	<script src="<?= get_stylesheet_directory_uri(); ?>/assets/default/js/modernizr-2.6.2.min.js"></script>
	<?php wp_head(); ?>
	<script src="<?= get_stylesheet_directory_uri(); ?>/assets/default/js/jquery.mmenu.all.js"></script>
	<link rel="stylesheet" type="text/css" href="<?=get_stylesheet_directory_uri();?>/assets/default/css/jquery.mmenu.all.css" />

</head>
<body <?php body_class() ?>>
<?php
do_action( 'presscore_body_top' );

$config = presscore_config();
?>
<div id="container">
<div id="page"<?php if ( 'boxed' == $config->get( 'template.layout' ) ) echo ' class="boxed"'; ?>>
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'the7mk2' ) ?></a>
<?php
if ( apply_filters( 'presscore_show_header', true ) ) {
	presscore_get_template_part( 'theme', 'header/header', str_replace( '_', '-', $config->get( 'header.layout' ) ) );
	presscore_get_template_part( 'theme', 'header/mobile-header' );
}

if ( presscore_is_content_visible() && $config->get( 'template.footer.background.slideout_mode' ) ) {
	echo '<div class="page-inner">';
}
?>
