<?php
/**
 * The Sidebar containing the main widget areas.
 * If no active widgets in sidebar, let's hide it completely.
 *
 * @package The7
 * @since   1.0.0
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( 'disabled' == presscore_config()->get( 'sidebar_position' ) ) {
	return;
}

$sidebar = presscore_validate_sidebar( presscore_config()->get( 'sidebar_widgetarea_id' ) );

// disable widget dividers
$dividers_off = '';
if ( ! presscore_config()->get( 'sidebar.style.dividers.horizontal' ) ) {
	$dividers_off = ' widget-divider-off';
}

if ( is_active_sidebar( $sidebar ) ) : ?>

    <aside id="sidebar" <?php echo presscore_sidebar_html_class( 'sidebar','left' ) ?>>
        <div class="sidebar-block sidebar-content<?php echo $dividers_off ?>">
			<?php
			do_action( 'presscore_before_sidebar_widgets' );
			dynamic_sidebar( $sidebar );
			/*
			$pagename = get_query_var('pagename');  
				if ( !$pagename && $id > 0 ) {  
					// If a static page is set as the front page, $pagename will not be set. Retrieve it from the queried object  
					$post = $wp_query->get_queried_object();  
					$pagename = $post->post_name;  
				}
			
				if($pagename=="contacts")
				{
					echo do_shortcode('[Contactfiled_sidebar]');
				}else
				{
					
					
				}
			*/
			
			?>
        </div>
    </aside><!-- #sidebar -->

<?php endif ?>
