<?php
/**
 * Primary menu.
 *
 * @package the7
 * @since 3.0.0
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

do_action( 'presscore_before_primary_menu' );

$menu_location = ( isset( $menu_location ) ? $menu_location : 'primary' );

echo '<ul id="' . esc_attr( "{$menu_location}" ) . '" class="' . implode( ' ', presscore_get_primary_menu_class( 'main-nav' ) ) . ' tnav" role="menu">';

	do_action( 'presscore_primary_nav_menu_before' );

	presscore_nav_menu( array(
		'theme_location'      => $menu_location,
		'items_wrap'          => '%3$s',
		'fallback_cb' => 'presscore_page_menu_custom',
		'submenu_class'       => implode( ' ', presscore_get_primary_submenu_class( 'sub-nav' ) ),
		'parent_is_clickable' => presscore_config()->get( 'header.menu.submenu.parent_clickable' ),
	) );

	do_action( 'presscore_primary_nav_menu_after' );

	//presscore_primary_nav_menu( $menu_location );
	//presscore_primary_nav_menu1( $menu_location );//call custome menu

echo '</ul>';

do_action( 'presscore_after_primary_menu' );
