<?php 
/*  
Element Description: VC Advisory Info Box
*/		
// Element Class 
class vcAdvisoryBoardBox extends WPBakeryShortCode {
   
    // Element Init
    function __construct() {
        add_action( 'init', array( $this, 'vc_advisory_board_mapping' ) );
        add_shortcode( 'vc_advisorybox', array( $this, 'vc_advisory_board_html' ) );
        $this->businesstype1 = $this->getbusinesstypes1();
    }
    
    public function getbusinesstypes1()
    {
		 $args1 = array('post_type' => 'sidebar_business','posts_per_page'=>'-1','order_by'=>'title','order'=>'ASC');
		 wp_reset_query();
		 $query1 = new WP_Query($args1);
		 $business_details = $query1->posts;		 
		  $dropdown_values =array();
		  $dropdown_values[0]['id']=0;
		  $dropdown_values[0]['value']='Select';
		 $i=1;
		foreach($business_details as $business)
		{
			$business_value = $business->post_title;
			$business_id = $business->ID;
			$dropdown_values[$i]['id']=$business_id;
			$dropdown_values[$i]['value']=$business_value;
			$i +=1;
		}
		
		return $dropdown_values;
	}
     
    // Element Mapping
    public function vc_advisory_board_mapping() {
         
         
        // Stop all if VC is not enabled
        if ( !defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
      
        // Map the block with vc_map()
        vc_map( 
            array(
                'name' => __('VC Advisory Board Block', 'text-domain'),
                'base' => 'vc_advisorybox',
                'description' => __('VC Advisory Strip', 'text-domain'), 
                'category' => __('Advisory Board', 'text-domain'),   
                'icon' => get_stylesheet_directory_uri().'/assets/default/images/bullet-arrow@2x.png',            
                'params' => array(   
                         
                    array(
                        'type' => 'dropdown',
                        'holder' => 'h3',
                        'class' => 'title-class',
                        'heading' => __( 'Select Business Type', 'text-domain' ),
                        'param_name' => 'advisory_board_id',
                        'value'       =>  $this->businesstype1,
                        'description' =>  __("display all the posts."),
                        'admin_label' => false,
                       
                    ),         
                ),
                  'custom_markup' => '<div><a target="blank" href="'.admin_url().'/edit.php?post_type=advisory_board&post_status=all&action=-1&m=0" class="wplightbox" >Manage Advisory Board </a></div>', 
            )
        );                                
        
    }
     
     
    // Element HTML
    public function vc_advisory_board_html( $atts ) {
		
        // Params extraction
        extract(
            shortcode_atts(
                array(
                    'advisory_board_id'   => '',
                ), 
                $atts
            )
        );

			
			$html = '<div class="heycodetech-container container">
                  <div class="list-value">
                   <p>Selectbox Value =  '.$advisory_board_id.'</p>
                  </div>
   
           </div>';
		 
			return  do_shortcode( '[Advisory_get_board='.$advisory_board_id.']' );
	
        
    }
     
} // End Element Class
 
// Element Class Init
new vcAdvisoryBoardBox();
